aboutsummaryrefslogtreecommitdiff
path: root/package/gerbera/S99gerbera
diff options
context:
space:
mode:
Diffstat (limited to 'package/gerbera/S99gerbera')
-rw-r--r--package/gerbera/S99gerbera52
1 files changed, 52 insertions, 0 deletions
diff --git a/package/gerbera/S99gerbera b/package/gerbera/S99gerbera
new file mode 100644
index 0000000000..8bbd221ce2
--- /dev/null
+++ b/package/gerbera/S99gerbera
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+DAEMON="gerbera"
+PIDFILE="/var/run/$NAME.pid"
+
+GERBERA_ARGS="-c /etc/gerbera/config.xml -l /var/log/gerbera.log"
+
+# shellcheck source=/dev/null
+[ -r "/etc/default/$DAEMON" ] && . "/etc/default/$DAEMON"
+
+start() {
+ printf 'Starting %s: ' "$DAEMON"
+ # shellcheck disable=SC2086 # we need the word splitting
+ start-stop-daemon -S -q -m -b -p "$PIDFILE" -x "/usr/bin/$DAEMON" \
+ -- $GERBERA_ARGS
+ status=$?
+ if [ "$status" -eq 0 ]; then
+ echo "OK"
+ else
+ echo "FAIL"
+ fi
+ return "$status"
+}
+
+stop() {
+ printf 'Stopping %s: ' "$DAEMON"
+ start-stop-daemon -K -q -p "$PIDFILE"
+ status=$?
+ if [ "$status" -eq 0 ]; then
+ rm -f "$PIDFILE"
+ echo "OK"
+ else
+ echo "FAIL"
+ fi
+ return "$status"
+}
+
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start|stop|restart)
+ "$1";;
+ reload)
+ # Restart, since there is no true "reload" feature.
+ restart;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+esac